DOMErrorHandlerWrapper (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.util

## Class DOMErrorHandlerWrapper

- java.lang.Object
- - org.apache.xerces.util.DOMErrorHandlerWrapper

- All Implemented Interfaces:
    org.apache.xerces.xni.parser.XMLErrorHandler, org.w3c.dom.DOMErrorHandler

      public class DOMErrorHandlerWrapper
      extends java.lang.Object
      implements org.apache.xerces.xni.parser.XMLErrorHandler, org.w3c.dom.DOMErrorHandler

  This class handles DOM errors .
  Version:
    $Id: DOMErrorHandlerWrapper.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Gopal Sharma, SUN Microsystems Inc.
  See Also:
    `DOMErrorHandler`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.w3c.dom.Node` | `fCurrentNode`
    `protected DOMErrorImpl` | `fDOMError`
    `protected org.w3c.dom.DOMErrorHandler` | `fDomErrorHandler`
    `protected org.apache.xerces.util.XMLErrorCode` | `fErrorCode` Error code for comparisons.
    `protected java.io.PrintWriter` | `fOut`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMErrorHandlerWrapper()`
    `DOMErrorHandlerWrapper(org.w3c.dom.DOMErrorHandler domErrorHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports an error.
    `void` | `fatalError(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Report a fatal error.
    `org.w3c.dom.DOMErrorHandler` | `getErrorHandler()`
    `boolean` | `handleError(org.w3c.dom.DOMError error)` This method is called on the error handler when an error occurs.
    `void` | `setErrorHandler(org.w3c.dom.DOMErrorHandler errorHandler)` Sets the DOM error handler.
    `void` | `warning(java.lang.String domain, java.lang.String key, org.apache.xerces.xni.parser.XMLParseException exception)` Reports a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fDomErrorHandler

          protected org.w3c.dom.DOMErrorHandler fDomErrorHandler

    - #### fOut

          protected java.io.PrintWriter fOut

    - #### fCurrentNode

          public org.w3c.dom.Node fCurrentNode

    - #### fErrorCode

          protected final org.apache.xerces.util.XMLErrorCode fErrorCode

      Error code for comparisons.

    - #### fDOMError

          protected final DOMErrorImpl fDOMError

  - ### Constructor Detail

    - #### DOMErrorHandlerWrapper

          public DOMErrorHandlerWrapper()

    - #### DOMErrorHandlerWrapper

          public DOMErrorHandlerWrapper(org.w3c.dom.DOMErrorHandler domErrorHandler)

  - ### Method Detail

    - #### setErrorHandler

          public void setErrorHandler(org.w3c.dom.DOMErrorHandler errorHandler)

      Sets the DOM error handler.

    - #### getErrorHandler

          public org.w3c.dom.DOMErrorHandler getErrorHandler()

    - #### warning

          public void warning(java.lang.String domain,
                     java.lang.String key,
                     org.apache.xerces.xni.parser.XMLParseException exception)
                       throws org.apache.xerces.xni.XNIException

      Reports a warning. Warnings are non-fatal and can be safely ignored by most applications.
      Specified by:
        `warning` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Parameters:
        `domain` - The domain of the warning. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this warning.
        `key` - The warning key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

    - #### error

          public void error(java.lang.String domain,
                   java.lang.String key,
                   org.apache.xerces.xni.parser.XMLParseException exception)
                     throws org.apache.xerces.xni.XNIException

      Reports an error. Errors are non-fatal and usually signify that the document is invalid with respect to its grammar(s).
      Specified by:
        `error` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Parameters:
        `domain` - The domain of the error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this error.
        `key` - The error key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

    - #### fatalError

          public void fatalError(java.lang.String domain,
                        java.lang.String key,
                        org.apache.xerces.xni.parser.XMLParseException exception)
                          throws org.apache.xerces.xni.XNIException

      Report a fatal error. Fatal errors usually occur when the document is not well-formed and signifies that the parser cannot continue normal operation.

      Note: The error handler should always throw an `XNIException` from this method. This exception can either be the same exception that is passed as a parameter to the method or a new XNI exception object. If the registered error handler fails to throw an exception, the continuing operation of the parser is undetermined.

      Specified by:
        `fatalError` in interface `org.apache.xerces.xni.parser.XMLErrorHandler`
      Parameters:
        `domain` - The domain of the fatal error. The domain can be any string but is suggested to be a valid URI. The domain can be used to conveniently specify a web site location of the relevent specification or document pertaining to this fatal error.
        `key` - The fatal error key. This key can be any string and is implementation dependent.
        `exception` - Exception.
      Throws:
        `org.apache.xerces.xni.XNIException` - Thrown to signal that the parser should stop parsing the document.

    - #### handleError

          public boolean handleError(org.w3c.dom.DOMError error)

      Description copied from interface: `org.w3c.dom.DOMErrorHandler`
      This method is called on the error handler when an error occurs.
      If an exception is thrown from this method, it is considered to be equivalent of returning `true`.
      Specified by:
        `handleError` in interface `org.w3c.dom.DOMErrorHandler`
      Parameters:
        `error` - The error object that describes the error. This object may be reused by the DOM implementation across multiple calls to the `handleError` method.
      Returns:
        If the `handleError` method returns `false`, the DOM implementation should stop the current processing when possible. If the method returns `true`, the processing may continue depending on `DOMError.severity`.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.